@ECHO off 

;
; Detect OS version
;

VER | find "XP" > nul 
IF not errorlevel 1 GOTO Win_XP
 
VER | find "Version 6.1." > nul
IF not errorlevel 1 GOTO Win_7or2008R2

;
; Not supported
; 
GOTO unknown_os 

;
; WinXP 
;
 
:win_XP
cd .\x86
dpinst /lm
cd ..
goto end
 
;
; Win7
;

:win_7or2008R2

;
; detect CPU
;

IF exist "%systemroot%\sysnative\" GOTO Win7_64
IF exist "%systemroot%\syswow64\" GOTO Win7_64
GOTO Win7_32
goto end

:win7_64
cd .\Amd64
dpinst
cd ..
goto end

:win7_32
cd .\x86
dpinst
cd ..
goto end

;
; Exit
;

:unknown_os 
:end 
